> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.brevo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.brevo.com/_mcp/server.

# Get all deals

GET https://api.brevo.com/v3/crm/deals

Retrieve a paginated list of deals with optional filtering, sorting, and search capabilities. Results can be filtered by attributes such as deal name or owner, linked companies, linked contacts, or modification/creation timestamps. Default sort order is descending by creation date.

Reference: https://developers.brevo.com/reference/get-all-deals

## Authentication

- `api-key` header (required) — The API key should be passed in the request headers as `api-key` for authentication.

## Request

### Query parameters

- `filters[attributes.deal_name]` (string, optional) — Filter by attributes. If you have a filter for the owner on your end, please send it as filters[attributes.deal_owner] and utilize the account email for the filtering.
- `filters[attributes.deal_owner]` (string, optional) — Filter by the deal owner. Pass the account email address of the deal owner.
- `filters[attributes.deal_stage]` (string, optional) — Filter by the deal stage. Pass the stage id, retrievable from GET /crm/pipeline/details/\{pipelineID}.
- `filters[attributes.pipeline]` (string, optional) — Filter by the pipeline. Pass the pipeline id, retrievable from GET /crm/pipeline/details/\{pipelineID}.
- `filters[linkedCompaniesIds]` (string, optional) — Filter by linked companies ids
- `filters[linkedContactsIds]` (string, optional) — Filter by linked contacts ids
- `modifiedSince` (string, optional) — Filter (urlencoded) the deals modified after a given UTC date-time (YYYY-MM-DDTHH:mm:ss.SSSZ). Prefer to pass your timezone in date-time format for accurate result.
- `createdSince` (string, optional) — Filter (urlencoded) the deals created after a given UTC date-time (YYYY-MM-DDTHH:mm:ss.SSSZ). Prefer to pass your timezone in date-time format for accurate result.
- `offset` (long, optional) — Index of the first document of the page
- `limit` (long, optional, default: 50) — Number of documents per page
- `sort` (enum, optional) — Sort the results in the ascending/descending order. Default order is **descending** by creation if `sort` is not passed
  - Allowed values: `asc`, `desc`
- `sortBy` (string, optional) — The field used to sort field names.

## Response

### 200

Returns deals list with filters

- `items` (list of object, optional) — List of deals
  - `id` (string, optional) — Unique deal id
  - `attributes` (object, optional) — Deal attributes with values
  - `linkedContactsIds` (list of integer, optional) — Contact ids for contacts linked to this deal
  - `linkedCompaniesIds` (list of string, optional) — Companies ids for companies linked to this deal

## Errors

### 400 Bad Request Error

bad request

- `code` (enum, required) — Error code displayed in case of a failure
  - Allowed values: `invalid_parameter`, `missing_parameter`, `out_of_range`, `campaign_processing`, `campaign_sent`, `document_not_found`, `not_enough_credits`, `permission_denied`, `duplicate_parameter`, `duplicate_request`, `method_not_allowed`, `unauthorized`, `account_under_validation`, `not_acceptable`, `bad_request`, `unprocessable_entity`, `Domain does not exist`, `Contact email not found`, `Attribute not found`, `Category id not found`, `Invalid parameters passed`, `Record(s) for identifier not found`, `Returned when query params are invalid`, `Returned when invalid data posted`, `Feed not found`, `Campaign ID not found`, `api-key not found`, `DMARC policy requires domain authentication`, `DNS records not properly configured`, `Invalid OTP code provided`, `OTP code has expired`, `Domain already exists in your account`, `The sum of all IP weights must equal 100`, `Authentication failed`, `Insufficient credits`, `Request already processed`
- `message` (string, required) — Readable message associated to the failure

## Examples

**Response**

```json
{
  "items": [
    {
      "id": "629475917295261d9b1f4403",
      "attributes": {
        "amount": 12,
        "created_at": "2022-05-30T07:42:05.671Z",
        "deal_name": "testname",
        "deal_owner": "6093d2425a9b436e9519d034",
        "deal_stage": "9e577ff7-8e42-4ab3-be26-2b5e01b42518",
        "last_activity_date": "2022-06-06T08:38:36.000Z",
        "last_updated_date": "2022-06-06T08:38:36.761Z",
        "number_of_activities": 0,
        "number_of_contacts": 1,
        "pipeline": "6093d296ad1e9c5cf2140a58",
        "stage_updated_at": "2022-05-30T07:42:05.671Z"
      },
      "linkedContactsIds": [
        1,
        2,
        3
      ],
      "linkedCompaniesIds": [
        "61a5ce58c5d4795761045990",
        "61a5ce58c5d4795761045991",
        "61a5ce58c5d4795761045992"
      ]
    }
  ]
}
```

**SDK Code**

```typescript
import { BrevoClient } from "@getbrevo/brevo";

async function main() {
    const client = new BrevoClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.deals.getAllDeals({});
}
main();

```

```python
from brevo import Brevo

client = Brevo(
    api_key="YOUR_API_KEY_HERE",
)

client.deals.get_all_deals()

```

```php
<?php

namespace Example;

use Brevo\Brevo;
use Brevo\Deals\Requests\GetCrmDealsRequest;

$client = new Brevo(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->deals->getAllDeals(
    new GetCrmDealsRequest([]),
);

```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.brevo.com/v3/crm/deals"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.brevo.com/v3/crm/deals")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.brevo.com/v3/crm/deals")
  .header("api-key", "<apiKey>")
  .asString();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.brevo.com/v3/crm/deals");
var request = new RestRequest(Method.GET);
request.AddHeader("api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.brevo.com/v3/crm/deals")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```